import { OnInit, OnDestroy, EventEmitter } from '@angular/core';
import { TableService } from '../table.service';
export declare class TableSelectableItemComponent implements OnDestroy, OnInit {
    private tableService;
    uiCheckStateChange: EventEmitter<boolean>;
    uiTableSelectableItem: any;
    set checked(v: boolean);
    get checked(): boolean;
    private _checked;
    constructor(tableService: TableService);
    ngOnInit(): void;
    ngOnDestroy(): void;
    change(state: boolean): void;
}
